Subject: [Pce] Murray Kucherawy's No Objection on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with COMMENT)

From: Murray Kucherawy via Datatracker <[email-masked]>
Date: Wed, 24 Feb 2021 23:41:42 -0800

Murray Kucherawy has entered the following ballot position for
draft-ietf-pce-pcep-extension-for-pce-controller-12: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-extension-for-pce-controller/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

In Section 2, RFC 8283 isn't a "draft".

In Section 5.5.1:

   Once the label operations are completed, the PCE SHOULD send a PCUpd
   message to the ingress PCC.

Why "SHOULD"?  Is there another option?   Why might an implementer do something else?

The SHOULDs elsewhere in Section 5 are probably worth a second look too.

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Fri, 26 Feb 2021 01:57:10 +0000

Hi Murray,

Thank you for your comments! Please find the diff and the responses in line below. Thank you!

Diff: https://tools.ietf.org/tools/rfcdiff/rfcdiff.pyht?url1=draft-ietf-pce-pcep-extension-for-pce-controller-12&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-pce-pcep-extension-for-pce-controller-13.txt 

-----Original Message-----
From: Murray Kucherawy via Datatracker [mailto:[email-masked]] 
Sent: Thursday, February 25, 2021 3:42 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Julien Meuric <[email-masked]>
Subject: Murray Kucherawy's No Objection on draft-ietf-pce-pcep-extension-for-pce-controller-12: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Shuping> Removed!

In Section 5.5.1:

Shuping> Changed to MUST. Thanks for spotting this!

Shuping> Ack

Best Regards, 
Shuping